.include "m16def.inc"
		
			
			ldi a0, LOW(RAMEND)      ; LOW-Byte der obersten RAM-Adresse
           	out SPL, a0
           	ldi a0, HIGH(RAMEND)     ; HIGH-Byte der obersten RAM-Adresse
           	out SPH, a0
						
			ldi a0, 0xFF    ;Port A,B = Ausgang
           	out DDRA, a0
		   	out DDRB, a0
			out DDRD, a0


			ldi	zl, low( 2 * 0x41)
			ldi	zh, high( 2 * 0x41)
	
			clr	flags           	
			rcall lcd_init     ;Display initialisieren
           	rcall lcd_clear    ;Display lschen
			rcall w1_reset	   ;1-wire reset	

main:      	ldi a0, 0b10000000       ;1te Zeile
		   	rcall lcd_command

			rcall measure
			rcall display_temp

			rcall ventil
						
			ldi temp3, 1000000 * xtal / 1000000 / 5000
loop:		rcall delay5ms	;Warteschleife 1s bis zur nchsten Messung
           	dec temp3
			brne loop
			rjmp main

							

.include "HARDWARE.H"
.include "LCD-Routinen.inc"
.include "KonstuReg.H"
.include "Dezimalausg.inc"
.include "1-wire-Routinen.inc"
.include "Ventilsteuerung.inc"
